Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

# Class PaymentTransactionInformationSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_03.PaymentTransactionInformationSEPA

public class PaymentTransactionInformationSEPA extends Object

Java class for PaymentTransactionInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTransactionInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StsId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}RestrictedIdentificationSEPA1" minOccurs="0"/>
             <element name="OrgnlInstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}Max35Text" minOccurs="0"/>
             <element name="OrgnlEndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}Max35Text" minOccurs="0"/>
             <element name="TxSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}TransactionIndividualStatusCodeSEPA" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}StatusReasonInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
             <element name="OrgnlTxRef" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}OriginalTransactionReferenceSEPA"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`orgnlEndToEndId`
`protected String`
`orgnlInstrId`
`protected OriginalTransactionReferenceSEPA`
`orgnlTxRef`
`protected String`
`stsId`
`protected List<StatusReasonInformationSEPA>`
`stsRsnInf`
`protected TransactionIndividualStatusCodeSEPA`
`txSts`

## Constructor Summary

Constructors
Constructor
Description
`PaymentTransactionInformationSEPA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOrgnlEndToEndId()`
Gets the value of the orgnlEndToEndId property.
`String`
`getOrgnlInstrId()`
Gets the value of the orgnlInstrId property.
`OriginalTransactionReferenceSEPA`
`getOrgnlTxRef()`
Gets the value of the orgnlTxRef property.
`String`
`getStsId()`
Gets the value of the stsId property.
`List<StatusReasonInformationSEPA>`
`getStsRsnInf()`
Gets the value of the stsRsnInf property.
`TransactionIndividualStatusCodeSEPA`
`getTxSts()`
Gets the value of the txSts property.
`void`
`setOrgnlEndToEndId(String value)`
Sets the value of the orgnlEndToEndId property.
`void`
`setOrgnlInstrId(String value)`
Sets the value of the orgnlInstrId property.
`void`
`setOrgnlTxRef(OriginalTransactionReferenceSEPA value)`
Sets the value of the orgnlTxRef property.
`void`
`setStsId(String value)`
Sets the value of the stsId property.
`void`
`setTxSts(TransactionIndividualStatusCodeSEPA value)`
Sets the value of the txSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stsId

protected String stsId

### orgnlInstrId

protected String orgnlInstrId

### orgnlEndToEndId

protected String orgnlEndToEndId

### txSts

protected TransactionIndividualStatusCodeSEPA txSts

### stsRsnInf

protected List<StatusReasonInformationSEPA> stsRsnInf

### orgnlTxRef

protected OriginalTransactionReferenceSEPA orgnlTxRef

## Constructor Details

### PaymentTransactionInformationSEPA

public PaymentTransactionInformationSEPA()

## Method Details

### getStsId

public String getStsId()
Gets the value of the stsId property.

Returns:
  possible object is `String`

### setStsId

public void setStsId(String value)
Sets the value of the stsId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlInstrId

public String getOrgnlInstrId()
Gets the value of the orgnlInstrId property.

Returns:
  possible object is `String`

### setOrgnlInstrId

public void setOrgnlInstrId(String value)
Sets the value of the orgnlInstrId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlEndToEndId

public String getOrgnlEndToEndId()
Gets the value of the orgnlEndToEndId property.

Returns:
  possible object is `String`

### setOrgnlEndToEndId

public void setOrgnlEndToEndId(String value)
Sets the value of the orgnlEndToEndId property.

Parameters:
  `value` - allowed object is `String`

### getTxSts

public TransactionIndividualStatusCodeSEPA getTxSts()
Gets the value of the txSts property.

Returns:
  possible object is `TransactionIndividualStatusCodeSEPA`

### setTxSts

public void setTxSts(TransactionIndividualStatusCodeSEPA value)
Sets the value of the txSts property.

Parameters:
  `value` - allowed object is `TransactionIndividualStatusCodeSEPA`

### getStsRsnInf

public List<StatusReasonInformationSEPA> getStsRsnInf()
Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformationSEPA`

### getOrgnlTxRef

public OriginalTransactionReferenceSEPA getOrgnlTxRef()
Gets the value of the orgnlTxRef property.

Returns:
  possible object is `OriginalTransactionReferenceSEPA`

### setOrgnlTxRef

public void setOrgnlTxRef(OriginalTransactionReferenceSEPA value)
Sets the value of the orgnlTxRef property.

Parameters:
  `value` - allowed object is `OriginalTransactionReferenceSEPA`